[
{
    blockid=list;
    help=logfiles_list_list;
    custom=com.netscape.management.msgserv.LogfileListControl;
    localvar={
	/* translate this block */
	.dialogheader.text="\u67e5\u770b\u548c\u5206\u6790\u65e5\u5fd7";
	.detail.border=[titled,"\u65e5\u5fd7\u6587\u4ef6\u4fe1\u606f"];
	.filetype.text="\u65e5\u5fd7\u6587\u4ef6\u7c7b\u578b:";
	.filetype.value=" ";
	.size.text="\u65e5\u5fd7\u6587\u4ef6\u5927\u5c0f (\u5b57\u8282):";
	.modtime.text="\u4e0a\u6b21\u4fee\u6539:";
	.count.text="\u884c\u8ba1\u6570:";
	.viewlog.text="\u67e5\u770b\u6240\u9009\u65e5\u5fd7...";
	.col1.header="\u65e5\u5fd7\u6587\u4ef6\u540d";
	.col2.header="\u65e5\u5fd7";
    };
    content=[
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$.detail.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.filetype.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.filetype.value;
			    wrap=$g.label.size2;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.size.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.size.value;
			    wrap=$g.label.size2;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    text=$.modtime.text;
			    wrap=$g.label.size1;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=label;
			    text=$.modtime.value;
			    wrap=$g.label.size2;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	    size=$g.comp.space.diff;
	},
	{
	    ctrl=table;
	    id=logfiletable;
	    showadd=false;
	    showdelete=false;
	    showedit=true;
	    edittext=$.viewlog.text;
	    buttonsat=east;
	    columns=[
		{
		    header=$.col1.header;
		}
	    ];
	}
    ]
},
{
    blockid=filter;
    help=logfiles_list_filter;
    localvar={
	.filterheader.text="\u65e5\u5fd7\u8fc7\u6ee4\u5668";
	.filter.border=[titled,"\u8fc7\u6ee4\u5668"];
	.facility.text="\u5de5\u5177:";
	.facility.labels=["\u6240\u6709","\u4e00\u822c","LDAP","\u7f51\u843d","\u5e10\u76ee","\u534f\u8bae","\u7edf\u8ba1","\u5b58\u50a8"];
	.level.text="\u8be6\u7ec6\u7a0b\u5ea6:";
	.level.labels=["\u7d27\u6025","\u9519\u8bef","\u8b66\u544a","\u6ce8\u610f","\u4fe1\u606f","\u8c03\u8bd5"];
	.regex.text="\u6a21\u5f0f:";
	.abstime.header="\u6307\u5b9a\u65f6\u95f4\u6bb5";
	.absfrom.text="\u53d1\u4ef6\u4eba\uff1a";
	.absfrom.value="-";
	.absto.text="\u6536\u4ef6\u4eba\uff1a";
	.absto.value="-";
	.pasttime.text="\u5bf9\u4e8e\u8fc7\u53bb\u7684:";
	.pasttime.labels=["\u5929"];
	.update.text="\u66f4\u65b0";
    };
    content=[
	{
	    ctrl=pane;
	    border=$.filter.border;
	    layout=[gridbag];
	    content=[
		{
		    ctrl=togglepane;
		    layout=[gridbag];
		    style=radio;
		    id=absflag;
		    text=$.abstime.header;
		    showmodified=false;
		    constraint={
			gridx=0;
			gridy=0;
			insets=[3,3,3,6];
			weightx=1.0;
			gridheight=3;
			anchor=west;
			fill=horizontal;
		    };
		    content=[
			{
			    ctrl=label;
			    text=$.absfrom.text;
			    constraint={
				gridx=0;
				gridy=0;
				insets=[3,3,3,3];
				anchor=west;
			    }
			},
			{
			    ctrl=com.netscape.management.msgserv.util.DATETIMEeditor;
			    help=logfiles_list_filter_absfrom;
			    id=absfromctrl;
			    val=$.absfrom.value;
			    constraint={
				gridx=1;
				gridy=0;
				weightx=1.0;
				insets=[3,3,3,3];
				anchor=west;
				fill=horizontal;
			    }
			},
			{
			    ctrl=label;
			    text=$.absto.text;
			    constraint={
				gridx=0;
				gridy=1;
				insets=[3,3,3,3];
				anchor=west;
			    }
			},
			{
			    ctrl=com.netscape.management.msgserv.util.DATETIMEeditor;
			    help=logfiles_list_filter_absto;
			    id=abstoctrl;
			    val=$.absto.value;
			    constraint={
				gridx=1;
				gridy=1;
				weightx=1.0;
				insets=[3,3,3,3];
				anchor=west;
				fill=horizontal;
			    }
			}
		    ]
		},
		{
		    ctrl=label;
		    text=$.facility.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=choice;
		    id=facilityctrl;
		    labels=$.facility.labels;
		    items=["",General,LDAP,Network,Account,Protocol,Stats,Store];
		    val=$.facility.value;
		    constraint={
			gridx=2;
			gridy=0;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=label;
		    text=$.level.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=choice;
		    id=levelctrl;
		    labels=$.level.labels;
		    items=["Critical","Critical Error","Critical Error Warning","Critical Error Warning Notice","Critical Error Warning Notice Information",""];
		    val=$.level.value;
		    constraint={
			gridx=2;
			gridy=1;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=label;
		    text=$.regex.text;
		    wrap=$g.label.size0;
		    constraint={
			gridx=1;
			gridy=2;
			weightx=1;
			fill=h;
			anchor=west;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=text;
		    id=regexctrl;
		    val=$.regex.value;
		    constraint={
			gridx=2;
			gridy=2;
			weightx=9;
			anchor=west;
			fill=horizontal;
			insets=$g.insets.comp
		    }
		},
		{
		    ctrl=togglepane;
		    style=radio;
		    id=pastflag;
		    text=$.pasttime.text;
		    inline=true;
		    showmodified=false;
		    constraint={
			gridx=0;
			gridy=3;
			anchor=west;
			insets=$g.insets.comp
		    };
		    content=[
			{
			    ctrl=number;
			    id=pastctrl;
			    items=[day];
			    labels=$.pasttime.labels;
			    val=$.pasttime.value;
			}
		    ]
		},
		{
		    ctrl=button;
		    text=$.update.text;
		    cmd=.log.update;
		    constraint={
			gridx=2;
			gridy=3;
			anchor=east;
			insets=$g.insets.comp
		    }
		}
	    ]
	}
    ]
},
{
    blockid=viewer;
    help=logfiles_list_viewer;
    localvar={
	.viewerheader.text="\u65e5\u5fd7\u67e5\u770b\u5668";
	.numlines.text="\u884c\u603b\u6570:";
	.goto.text="\u8f6c\u81f3";
	.logentry.text="\u65e5\u5fd7\u6761\u76ee";
	.filter.text="\u8fc7\u6ee4\u5668...";
    };
    content=[
/*
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    text=$.numlines.text;
		    wrap=$g.label.size1;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=label;
		    id=numlineslabel;
		    wrap=$g.label.size1;
		    val=0;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$.goto.text;
		    cmd=.log.goto;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=number;
		    id=goto;
		    val=$.goto.value;
		    aligny=0.5;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
*/
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=contenttable;
	    showadd=false;
	    showdelete=false;
	    visiblerows=8;
	    columns=[
		{
		    header=$.logentry.text;
		    width=480;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=textarea;
	    id=detailtext;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=hglue;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$g.close.text;
		    cmd=.log.done;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=button;
		    text=$g.help.text;
		    cmd=.log.help;
		},
		{
		    ctrl=rigid;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	}
    ]
}
]
